import styled from "styled-components";
import Button from "./button";

export type Item = { content: string, icon?: string, link?: string }
const CardStack: React.FC<{ items: Item[] }> = ({ items }) => <Stack>
    {items.map((item, index) => <Button
        key={index}
        content={item.content}
        icon={item.icon}
        link={item.link}
    />)}
</Stack>;

const Stack = styled.div`
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    gap: ${({ theme }) => theme.gap};
    justify-content: center;

    max-width: 50%;
    @media (max-width: 750px) {
        max-width: unset;
    }

    a {
        text-decoration: none;
        color: ${({ theme }) => theme.text};
    }
`;

export default CardStack;